Bug 1523216 - fuse xlator uses block size and fragment size 128KB leading to rounding off in df output
Summary: fuse xlator uses block size and fragment size 128KB leading to rounding off i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: fuse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Csaba Henk
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On: 1523219
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2017-12-07 12:28 UTC by Raghavendra Talur
Modified: 2018-10-01 05:59 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511973
Environment:
Last Closed: 2018-09-04 06:40:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:42:11 UTC
Red Hat Bugzilla 1511973 None None None Never

Internal Links: 1511973

Comment 2 Raghavendra Talur 2017-12-07 12:30:50 UTC
This difference is because FUSE uses a block size and fragment size of 128K instead of using the backend filesystem's block size.

When statvfs call is made, this is the statvfs buffer content

      blocks  bfree   bavail
gfapi 259584, 248433, 251028
brick 259584, 251028, 251028
fuse    8112,   7763,   7844


As you can see, gfapi and brick match in total blocks and bavail.
There is a difference in bfree because of posix xlator. Posix xlator deducts 1% of the total blocks from free blocks.

The numbers in fuse are the numbers in gfapi row divided by 32(because the numbers obtained from brick are for 4K blocks and fuse wants to communicate in terms of 128K blocks). Here, we are converting into a larger unit and value is rounded off.

df on a mount point would get data from fuse and hence the discrepancy.

Comment 9 errata-xmlrpc 2018-09-04 06:40:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.